package com.muyu.common.iotdb.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class InsertDataDTO {
    private Float temperature;
    private String hardware;
    private Boolean status;

    public InsertDataDTO buildOne() {
        InsertDataDTO insertDataDTO = new InsertDataDTO();
        insertDataDTO.setHardware("ss");
        insertDataDTO.setStatus(true);
        insertDataDTO.setTemperature(12.0F);
        return insertDataDTO;
    }

    public List<InsertDataDTO> buildList() {
        List<InsertDataDTO> insertDataDTOS = new ArrayList<>();
        int buildNum = 10;
        for (int i = 0; i < buildNum; i++) {
            InsertDataDTO insertDataDTO = new InsertDataDTO();
            insertDataDTO.setHardware(i % 2 == 0 ? "pp" + i : null);
            insertDataDTO.setStatus(i % 2 == 0);
            insertDataDTO.setTemperature(12.0F + i);
            insertDataDTOS.add(insertDataDTO);
        }
        return insertDataDTOS;
    }
}
