package com.muyu.common.system.domain;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 公司下拉响应对象
 * @Author WangXin
 * @Data 2024/10/8
 * @Version 1.0.0
*/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "公司下拉响应对象",description = "登录公司下拉框数据")
public class SysFirmResp {

    private String name;

    private String firmId;
}
