package com.muyu.data.core;

import com.muyu.data.basics.EventStrategyRouter;
import com.muyu.data.domain.Information;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 根节点策略
 * @Author WangXin
 * @Data 2024/10/6
 * @Version 1.0.0
 */
@Slf4j
@Component
public class StartStrategy extends EventStrategyRouter<Information,Information> {


    @Override
    protected StrategyMapper<Information, Information> registerStrategy() {
        return param -> new IotdbStrategy();
    }
}
