package com.muyu.data.core.event;

import com.muyu.data.basics.EventStrategyHandler;
import com.muyu.data.basics.EventStrategyRouter;
import com.muyu.data.domain.Information;

/**
 * 车辆预警事件
 * @Author WangXin
 * @Data 2024/10/5
 * @Version 1.0.0
 */
public class WarnStrategy
        extends EventStrategyRouter<Information, Information>
        implements EventStrategyHandler<Information, Information> {

    @Override
    public Information apply(Information param) {
        return applyStrategy(param);
    }

    @Override
    protected StrategyMapper<Information, Information> registerStrategy() {
        return null;
    }
}
