package com.muyu.data.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.domain.SysCar;
import com.muyu.domain.SysCarFault;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.boot.autoconfigure.web.WebProperties;

import java.util.Date;
/**
 * @author Bai
 * @date 2024/9/20 10:29
 * @description Information: 车辆信息表实体类
 * @version: 1.0
 */

/**
 * 车辆信息表实体类
 */

@Data
@SuperBuilder
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "car_information",autoResultMap = true)
public class Information {

    private SysCar sysCar;

    private SysCarFault carFault;

}
