package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBasic;
import com.muyu.domain.SysCar;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 系统车辆缓存服务
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/30 11:06
 * @注释
 */
@Component
public class SysCarCacheService extends CacheAbsBasic<String, SysCar> {

    @Override
    public String keyPre() {
        return "sysCar:info:";
    }

    @Override
    public String encode(String key) {
        return super.encode(key);
    }

    @Override
    public String decode(String key) {
        return super.decode(key);
    }
}
