package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBasic;
import com.muyu.domain.CarInformation;

/**
 * 车辆缓存服务
 * @className: VehicleCacheService  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/30 00:36 ⏰
 * @Version: 1.0
 * @description:
 */
public class VehicleCacheService extends CacheAbsBasic<String, CarInformation> {

    @Override
    public String keyPre() {
        return "vehicle:info:";
    }

    @Override
    public String decode(String key){
        return key.replace("vehicle:info:","");
    }


}

