package com.muyu.domain;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 车辆故障报告
 *  * @className: FaultReport  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:05 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName("fault_report")
@Tag(name = "车辆故障报告")
public class FaultReport {

    private String VehicleType;
    private String FaultDescription;
}
