package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 修改围栏的状态
 * @Author：yan
 * @Package：com.muyu.domain.req
 * @Project：plues
 * @name：CarFenceUpdateReq
 * @Date：2024/9/29 20:22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "修改围栏的状态", description = "修改围栏的状态")
public class FenceGroupUpdateReq {
    /**
     * id
     */
    @TableId(value = "group_id", type = IdType.AUTO)
    @Schema(title = "围栏组Id")
    private Long groupId;

}
