package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName MessageTemplateAddReq
 * @Description TODO
 * @Author LiHD
 * @Date 2024/9/19
 */

/**
 * 新增报文模版请求参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "新增报文模版请求参数", description = "根据入参进行报文模版的添加")
@TableName("message_template")
public class MessageTemplateAddReq {

    /**
     * 报文模版名称
     */
    @Schema(name = "报文模版名称")
    private String messageTemplateName;

    /**
     * 报文模版描述
     */
    @Schema(name = "报文模版描述")
    private String messageTemplateDescribe;
}
