package com.muyu.enterpise.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.MessageValue;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * 消息值表(MessageValue)表数据库访问层
 *  * @ClassName MessageValueMapper
 *  * @Description TODO
 *  * @Author Li HD
 *  * @Date 2024/9/19
 */
@Mapper
public interface MessageValueMapper extends BaseMapper<MessageValue> {
    @Select({"SELECT sct.message_template_id FROM sys_car sc LEFT JOIN sys_car_type sct on sct.id = sc.car_type WHERE sc.car_vin = ${stringVin}"})
    Long findByTemplateId(String stringVin);
}
