package com.muyu.enterpise.service;

import com.muyu.domain.CarFaultRule;
import com.muyu.domain.FaultReport;

/**
 * 故障检测策略的接口
 *  * @className: FaultDetectionStrategy  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测策略的接口
 */
public interface FaultDetectionStrategy {

    FaultReport detectFaults(CarFaultRule carFaultRule);

}
