package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.FaultLabel;

import java.util.List;

/**

 */

/**
 * 故障检测业务接口
 *  * @className: FaultLabelService  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测
 */
public interface FaultLabelService extends IService<FaultLabel> {
    /**
     * 故障名称
     * @return
     */
    List<FaultLabel> select();

}
