package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.FaultLog;
import com.muyu.domain.req.FaultLogListReq;
import com.muyu.domain.resp.FaultLogTotalListResp;

/**

 */

/**
 *  * @className: FaultLogService  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测
 * 故障日志服务接口
 */
public interface FaultLogService extends IService<FaultLog> {

    /**
     * 故障日志列表
     * @param faultLogListReq
     * @return
     */
    FaultLogTotalListResp selectfaultlog(FaultLogListReq faultLogListReq);
}
