package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.FaultRule;

/**
 * 故障检测服务接口
 *  * @className: FaultRuleService  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测
 */
public interface FaultRuleService extends IService<FaultRule> {

    /**
     * 车辆故障检测
     * @return
     */
    String checkfaults(FaultRule faultRule);


}
