package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.SysCarType;

import java.util.List;

/**

 */

/**
 * 车辆类型表(SysCarType)表服务接口
 *  * @version 1.0
 *  * @Author xie ya ru
 *  * @Date 2024/9/22 9:32
 *  * @注释
 */
public interface SysTypeService extends IService<SysCarType> {

    /**
     * 查询所有车辆类型
     * @return 车辆类型集合
     */
    List<SysCarType> selectSysTypeList();

}
