package com.muyu.enterpise.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.FaultLabel;
import com.muyu.enterpise.mapper.FaultLabelMapper;
import com.muyu.enterpise.service.FaultLabelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 故障检测
 *  * @className: FaultLog  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测
 */
@Service
public class FaultLabelServiceImpl extends ServiceImpl<FaultLabelMapper, FaultLabel> implements FaultLabelService {
    @Autowired
    private FaultLabelMapper faultLabelMapper;

    /**
     * 故障信息查询
     * @return
     */
    @Override
    public List<FaultLabel> select() {
        LambdaQueryWrapper<FaultLabel> queryWrapper = new LambdaQueryWrapper<>();
        List<FaultLabel> list = this.list(queryWrapper);
        return list;
    }
}
