package com.muyu.enterpise.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.FenceGroup;
import com.muyu.enterpise.mapper.FenceGroupMapper;
import com.muyu.enterpise.service.FenceGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 围栏组
 *  * @Author：yan
 *  * @Package：com.muyu.car.service.impl
 *  * @Project：cars
 *  * @name：FenceGroupServiceImpl
 *  * @Date：2024/9/21 20:54
 */
@Service
public class FenceGroupServiceImpl extends ServiceImpl<FenceGroupMapper, FenceGroup> implements FenceGroupService {
    @Autowired
    private FenceGroupMapper fenceGroupMapper;

    /**
     * 围栏组列表
     * @return
     */
    @Override
    public List<FenceGroup> fenceGroupList() {
        List<FenceGroup> list = this.list();
        return list;
    }

}
