package com.muyu.enterpise.service.impl;

import com.muyu.enterpise.mapper.MiddleMapper;
import com.muyu.enterpise.service.MiddleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 中间表
 *  * @Author：yan
 *  * @Package：com.muyu.car.service.impl
 *  * @Project：plues
 *  * @name：MiddleServiceImpl
 *  * @Date：2024/9/22 10:18
 */
@Service
public class MiddleServiceImpl implements MiddleService {
    @Autowired
    private MiddleMapper middleMapper;

    /**
     * 添加围栏和围栏组中间表
     * @param carGroupId
     * @param groupId
     * @return
     */
    @Override
    public Integer add(Integer carGroupId, Integer groupId) {
        Integer id =  middleMapper.addGroupid(carGroupId,groupId);
        return id;
    }
}
