package com.muyu.enterpise.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.SysCarType;
import com.muyu.enterpise.mapper.SysTypeMapper;
import com.muyu.enterpise.service.SysTypeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 车辆类型表(SysCarType)表服务实现类
 *  * @version 1.0
 *  * @Author xie ya ru
 *  * @Date 2024/9/22 9:34
 *  * @注释
 */
@Service
public class SysTypeServiceImpl
    extends ServiceImpl<SysTypeMapper, SysCarType>
        implements SysTypeService  {

    @Resource
    private SysTypeMapper sysTypeMapper;

    /**
     * 查询车辆类型列表
     * @return
     */
    @Override
    public List<SysCarType> selectSysTypeList() {
        return sysTypeMapper.selectSysList();
    }


}
