package com.muyu.parse;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/28 12:26
 * @注释
 */
@SpringBootApplication
@EnableCustomConfig
//@EnableCustomSwagger2
@EnableMyFeignClients

public class ParseApplication {
    public static void main(String[] args) {
         SpringApplication.run(ParseApplication.class, args);
    }
}
