package com.muyu.domain;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * @className: Message  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/17 16:49 ⏰
 * @Version: 1.0
 * @description:
 */
@Data
@XStreamAlias("xml")
public class Message {
    @XStreamAlias("ToUserName")
    private String toUserName;

    @XStreamAlias("FromUserName")
    private String fromUserName;

    @XStreamAlias("CreateTime")
    private Long createTime;

    @XStreamAlias("MsgType")
    private String msgType;

    @XStreamAlias("Content")
    private String content;



}
