package com.muyu.data.core;

import com.muyu.data.basics.EventStrategyHandler;
import com.muyu.data.domain.Information;
import lombok.extern.slf4j.Slf4j;

/**
 * 结束节点
 * @Author WangXin
 * @Data 2024/10/5
 * @Version 1.0.0
 */
@Slf4j
public class EndStrategy implements EventStrategyHandler<Information,Information> {

    /**
     * 结束节点方法
     * @param param 参数
     * @return null
     */
    @Override
    public Information apply(Information param) {
        log.info("[线路结束] --- >");
        return null;
    }
}
