package com.muyu.data.domain;

import com.muyu.domain.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


/**
 * 企业通用信息
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/10/6 20:21
 * @注释
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EnterpriseCommon {
    /**
     * 车辆基础信息
     */
    private SysCar sysCar;

    /**
     * 车辆策略信息
     */
    private WarnStrategy warnStrategy;

    /**
     * 车辆规则信息
     */
    private WarnRule warnRule;

    /**
     * 车辆与围栏组
     */
    private List<CarAndGroupMiddle> carAndGroupMiddleList;

    /**
     * 围栏组与围栏信息
     */
    private List<FenceAndGroupMiddle> fenceAndGroupMiddles;

    /**
     * 故障信息和车辆
     */

}
