package com.muyu.data.domain;

import com.alibaba.fastjson.JSON;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆实时信息实体类
 * @author WangXIn
 * @package：com.muyu.event.domian
 * @name：CarInformation
 * @date：2024/9/28 19:25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CarInformation {

    /**
     * 时间戳
     */
    @Excel(name = "时间戳")
    private Long Time;

    /**
     * 车辆vin码
     */
    @Excel(name = "车辆vin码")
    private String carVin;

    /**
     * 车辆实时信息
     */
    @Excel(name = "车辆实时信息")
    private String information;







}
