package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBasic;
import com.muyu.domain.SysCarType;
import org.springframework.stereotype.Component;

/**
 * 车型缓存服务
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/30 11:18
 * @注释
 */
@Component
public class SysCarTypeCacheService extends CacheAbsBasic<String, SysCarType> {
    @Override
    public String keyPre() {
        return "sysCarType:info:";
    }

    @Override
    public String encode(String key) {
        return super.encode(key);
    }

    @Override
    public String decode(String key) {
        return super.decode(key);
    }
}
