package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBasic;
import com.muyu.domain.WarnStrategy;
import org.springframework.stereotype.Component;

/**
 * 预警缓存服务
 * @Author：yan
 * @Package：com.muyu.enterpise.cache
 * @Project：plus
 * @name：WarnStrategyCacjeService
 * @Date：2024/10/6 19:26
 */
@Component
public class WarnStrategyCacjeService  extends CacheAbsBasic<String, WarnStrategy> {


    @Override
    public String keyPre() {
        return "sysCarType:info:";
    }

    @Override
    public String encode(String key) {
        return super.encode(key);
    }

    @Override
    public String decode(String key) {
        return super.decode(key);
    }
}
