package com.muyu.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：yan
 * @Package：com.muyu.domain
 * @Project：plus
 * @name：Cars
 * @Date：2024/10/4 20:45
 */
@AllArgsConstructor
@Data
@NoArgsConstructor
@Builder
public class Cars {

    /**
     * id
     */
    @Schema
    private Integer id;
    /**
     * name
     */
    @Schema
    private String name;

    /**
     * w
     */
    @Schema
    private String w;

    /**
     * q
     */
    @Schema
    private String q;

    /**
     * e
     */
    @Schema
    private String e;

    /**
     * r
     */
    @Schema
    private String r;

    /**
     * t
     */
    @Schema
    private String t;

    /**
     * g
     */
    @Schema
    private String y;

    /**
     * a
     */
    @Schema
    private String a;

    /**
     * s
     */
    @Schema
    private String s;

    /**
     * d
     */
    @Schema
    private String d;

    /**
     * f
     */
    @Schema
    private String f;

    /**
     * g
     */
    @Schema
    private String g;

    /**
     * z
     */
    @Schema
    private String z;

    /**
     * x
     */

    @Schema
    private String x;

    /**
     * c
     */
    @Schema
    private String c;


}
