package com.muyu.enterpise.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.FaultCondition;
import com.muyu.domain.req.FaultConditionAddReq;
import com.muyu.domain.req.FaultConditionListReq;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 故障检测策略的接口
 *  * @className: FaultConditionMapper  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测策略的接口
 */
@Mapper
public interface FaultConditionMapper extends BaseMapper<FaultCondition> {

    List<FaultCondition> selectfaultconditionlist(FaultConditionListReq faultConditionListReq);


    List<FaultCondition> selectBytypeAndlabel(FaultConditionAddReq faultConditionAddReq);
}
