package com.muyu.enterpise.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.FaultLabel;
import org.apache.ibatis.annotations.Mapper;

/**
 * 故障检测策略的接口
 *  * @className: FaultLabelMapper  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测策略的接口
 */
@Mapper
public interface FaultLabelMapper extends BaseMapper<FaultLabel> {
}
