package com.muyu.enterpise.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.FaultLog;
import com.muyu.domain.req.FaultLogListReq;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 故障检测策略的接口
 *  * @className: FaultLogMapper  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测策略的接口
 */
@Mapper
public interface FaultLogMapper extends BaseMapper<FaultLog> {


    List<FaultLog> selectfaultLogMapper(FaultLogListReq faultLogListReq);

}
