package com.muyu.enterpise.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.FaultType;
import org.apache.ibatis.annotations.Mapper;


/**
 * 故障检测策略
 *  * @className: FaultTypeMapper  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测策略的接口
 */
@Mapper
public interface FaultTypeMapper extends BaseMapper<FaultType> {
    Integer add(FaultType faultType);

    Integer update(FaultType faultType);

    Integer delete(Integer id);
}
