package com.muyu.enterpise.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.message.Message;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 消息表(Message)表数据库访问层
 *  * @className: MessageMapper  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@Mapper
public interface MessageMapper extends BaseMapper<Message> {
    void changestatus(Message message);

    List<Message> unread();

}
