package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.CarAndGroupMiddle;
import com.muyu.domain.FenceGroup;

import java.util.List;

/**
 * 车辆和围栏组中间表
 * @Author：yan
 * @Package：com.muyu.service
 * @Project：plues
 * @name：CarAndFenceGroupMiddleService
 * @Date：2024/9/29 20:10
 */
public interface CarAndFenceGroupMiddleService extends IService<CarAndGroupMiddle> {
    /**
     * 根据围栏组和车辆的id添加中间表
     */
    boolean saveBatch(List<FenceGroup> fenceGroups, Integer carId);
}
