package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.CarFence;
import com.muyu.domain.req.CarFenceReq;
import com.muyu.domain.resp.CarFenceResq;

/**
 * 围栏服务接口
 *  * @Author：yang
 *  * @Package：com.muyu.server.service
 *  * @Project：cloud-electronic
 *  * @name：CarFenceService
 *  * @Date：2024/9/17 16:54
 */
public interface CarFenceService extends IService<CarFence> {
    /**
     * 查询围栏信息
     */
    public Page<CarFenceResq> selectCarFence(CarFenceReq req);


}
