package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.MessageValue;
import com.muyu.domain.req.MessageValueReq;
import com.muyu.domain.resp.MessageValueListResp;

import java.util.List;

/**
 * 消息值服务接口
 *  * @ClassName MessageValueService
 *  * @Description TODO
 *  * @Author Li HD
 *  * @Date 2024/9/19
 */
public interface MessageValueService extends IService<MessageValue> {
    /**
     * 查询消息值列表
     * @param messageValueReq
     * @return
     */
    List<MessageValueListResp> findAll(MessageValueReq messageValueReq);

    /**
     * 测试
     * @param str
     */
    void test(String str);
    Long findByTemplateId(String stringVin);

}
