package com.muyu.gen;

import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 代码生成
 *
 * @author muyu
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class CloudGenApplication {
    public static void main (String[] args) {
        SpringApplication.run(CloudGenApplication.class, args);
        System.out.println("CloudGen 模块启动成功!");
    }
}
