package com.muyu.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.system.domain.SysFirmDatasource;
import com.muyu.common.system.domain.SysFirmResp;

import java.util.List;

/**
 * @Author WangXin
 * @Data 2024/10/2
 * @Description
 * @Version 1.0.0
 */
public interface SysFirmDatasourceService extends IService<SysFirmDatasource> {

    /**
     * 公司下拉框
     * @return 公司下拉框数据
     */
    List<SysFirmResp> firmList();

    /**
     * saas数据源
     * @return 公司数据源
     */
    List<SysFirmDatasource> firmDatasourceList();

}
