package com.muyu.vehiclegateway;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;


/**
 * @Author: WangXin
 * @name：VehicleGatewayApplication
 * @Date：2024/9/25 21:14
 */
@EnableMyFeignClients
@EnableCustomConfig
@SpringBootApplication
public class VehicleGatewayApplication {
    public static void main(String[] args) {
        SpringApplication.run(VehicleGatewayApplication.class);
    }
}
