package com.muyu.vehiclegateway.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: LiHongDao
 * @name：Instance
 * @Date：2024/9/29 16:05
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Instance {


    /**
     * 实例ID
     */
    private String instanceId;

    /**
     * IP地址
     */
    private String ipAddress;


    /**
     * 实例状态
     */
    private String status;




}
