package com.muyu.vehiclegateway.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: LiHongDao
 * @name：MqttServerModel
 * @Date：2024/10/4 15:17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MqttServerModel {

    /**
     * MQTT服务节点
     */
    private String broker;


    /**
     * MQTT订阅主题
     */
    private String topic;

}
