package com.muyu.vehiclegateway.domain.req;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: LiHongDao
 * @name：VehicleConnectionReq
 * @Date：2024/10/4 9:37
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleConnectionReq {
    /**
     * vin
     */


    private String vehicleVin;

    /**
     * 时间戳
     */

    private String timestamp;

    /**
     * 用户名
     */

    private String username;

    /**
     * 随机字符串
     */
    private String nonce;

}
